<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfHealthCareProvider ArrayType
 * @subpackage Arrays
 */
class ArrayOfHealthCareProvider extends AbstractStructArrayBase
{
    /**
     * The HealthCareProvider
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\HealthCareProvider[]
     */
    public $HealthCareProvider;
    /**
     * Constructor method for ArrayOfHealthCareProvider
     * @uses ArrayOfHealthCareProvider::setHealthCareProvider()
     * @param \StructType\HealthCareProvider[] $healthCareProvider
     */
    public function __construct(array $healthCareProvider = array())
    {
        $this
            ->setHealthCareProvider($healthCareProvider);
    }
    /**
     * Get HealthCareProvider value
     * @return \StructType\HealthCareProvider[]|null
     */
    public function getHealthCareProvider()
    {
        return $this->HealthCareProvider;
    }
    /**
     * This method is responsible for validating the values passed to the setHealthCareProvider method
     * This method is willingly generated in order to preserve the one-line inline validation within the setHealthCareProvider method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateHealthCareProviderForArrayConstraintsFromSetHealthCareProvider(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfHealthCareProviderHealthCareProviderItem) {
            // validation for constraint: itemType
            if (!$arrayOfHealthCareProviderHealthCareProviderItem instanceof \StructType\HealthCareProvider) {
                $invalidValues[] = is_object($arrayOfHealthCareProviderHealthCareProviderItem) ? get_class($arrayOfHealthCareProviderHealthCareProviderItem) : sprintf('%s(%s)', gettype($arrayOfHealthCareProviderHealthCareProviderItem), var_export($arrayOfHealthCareProviderHealthCareProviderItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The HealthCareProvider property can only contain items of type \StructType\HealthCareProvider, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set HealthCareProvider value
     * @throws \InvalidArgumentException
     * @param \StructType\HealthCareProvider[] $healthCareProvider
     * @return \ArrayType\ArrayOfHealthCareProvider
     */
    public function setHealthCareProvider(array $healthCareProvider = array())
    {
        // validation for constraint: array
        if ('' !== ($healthCareProviderArrayErrorMessage = self::validateHealthCareProviderForArrayConstraintsFromSetHealthCareProvider($healthCareProvider))) {
            throw new \InvalidArgumentException($healthCareProviderArrayErrorMessage, __LINE__);
        }
        $this->HealthCareProvider = $healthCareProvider;
        return $this;
    }
    /**
     * Add item to HealthCareProvider value
     * @throws \InvalidArgumentException
     * @param \StructType\HealthCareProvider $item
     * @return \ArrayType\ArrayOfHealthCareProvider
     */
    public function addToHealthCareProvider(\StructType\HealthCareProvider $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\HealthCareProvider) {
            throw new \InvalidArgumentException(sprintf('The HealthCareProvider property can only contain items of type \StructType\HealthCareProvider, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->HealthCareProvider[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\HealthCareProvider|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\HealthCareProvider|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\HealthCareProvider|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\HealthCareProvider|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\HealthCareProvider|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string HealthCareProvider
     */
    public function getAttributeName()
    {
        return 'HealthCareProvider';
    }
}
